Bug 25102 - Installer doesn't update module for enterpriser kernel from driver disk
Summary: Installer doesn't update module for enterpriser kernel from driver disk
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Erik Troan
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-28 01:32 UTC by Tesfamariam Michael
Modified: 2005-10-31 22:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-30 21:25:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tesfamariam Michael 2001-01-28 01:32:07 UTC
I created a driver disk for Perc2, Perc2/Si, Perc3/Si, Perc2/Di and 
Perc3/Di (AACRAID driver) with modules for UP, SMP, and enterprise kernel 
in modules.cgz. After installing RH7.0 with the driver disk, the modules 
in /lib/modules/ tree have the new modules for UP and SMP but old module 
for enterprise kernel. The enterprise kernel is gererating a "Kernel 
Panic..." when installed on Perc3/Di that changed a PCI IDs.

Comment 1 Michael Fulbright 2001-01-30 00:22:33 UTC
Assigning to a developer.

Comment 2 Erik Troan 2001-01-30 20:27:38 UTC
This works in 7.1, but was broken in 7.0.

You can work around this in %post quite easily, and I may be able to get you an
updated todo.py, but I can't test it easily...

Comment 3 Tesfamariam Michael 2001-01-30 21:21:53 UTC
Is the work around during post, to replace the aacraid for enterprise kernel 
and re-make its initrd image? 
Can you send me the updated todo.py script?

Comment 4 Erik Troan 2001-01-30 21:25:55 UTC
Yes, that's the workaround.

In your todo.py, look around line 1335. You'll see a section like this:

if (self.hdList.has_key('kernel-enterprise') and
            self.hdList['kernel-enterprise'].selected):
            version = (self.hdList['kernel-enterprise'][rpm.RPMTAG_VERSION] + "-" +
                   self.hdList['kernel-enterprise'][rpm.RPMTAG_RELEASE] + "smp")
           kernelVersions.append(version)

The "smp" at the end of the next to last line needs to say "ent" instead. That
*should* fix this.


Note You need to log in before you can comment on or make changes to this bug.